View Issue Details

IDProjectCategoryView StatusLast Update
0002164Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2017-05-02 14:29
ReporterArtistAssigned ToPlayer 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWin10OS Version
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002164: Underpowered miner kills FPS
DescriptionMy current singleplayer game still in the beginning.
I ran a simple miner with 8 solars and when the power ran out and the miner started to stutter my frames dropped from 0000048:0000200 down to heavily stuttering 10-25fps.
No weird stuff in the logs.
Steps To Reproduce1. Place solars with a batbox
2. Wire up miner
3. Wait till its underpowered.
4. FPS drop and stuttering starts

Take the miner off the grid and the FPS are back to normal.
Additional Informationforge 2281 industrialcraft-2-2.6.202-ex110
TagsNo tags attached.
Minecraft Version1.10.2

Relationships

related to 0001988 resolvedPlayer Massive FPS Drop With Recyclers 

Activities

Artist

2017-04-27 00:14

reporter   ~0005164

Other Steps To Reproduce:
1. Place the miner with dia drill
2. Place a generator next to it
3. wait till it underpowers the miner
4. FPS drop and stutter wildly.

Artist

2017-04-28 09:45

reporter   ~0005170

Hello Choco!

Ive noticed no framedrops from underpowered miners when the IC2-sound is disabled.
(happend by coincidence because no sounds are played when DynamicSurroundings-1.10.2-3.3.7.0 is installed)

Player

2017-04-30 19:46

administrator   ~0005182

Please re-check with the latest build from Jenkins. If it still happens install Sampler (https://forum.industrial-craft.net/thread/10820), create a report with "/sampler report <filename>" while experiencing the issue and upload <filename> for me to investigate.

Artist

2017-05-02 14:23

reporter   ~0005185

Bug fix confirmed with 205-ex110 and 206-ex110!
Great job!

Issue History

Date Modified Username Field Change
2017-04-26 23:48 Artist New Issue
2017-04-27 00:14 Artist Note Added: 0005164
2017-04-27 16:03 Chocohead Relationship added related to 0001988
2017-04-28 09:45 Artist Note Added: 0005170
2017-04-30 19:46 Player Note Added: 0005182
2017-05-02 14:23 Artist Note Added: 0005185
2017-05-02 14:29 Chocohead Status new => resolved
2017-05-02 14:29 Chocohead Fixed in Version => Builds for MC 1.10.x
2017-05-02 14:29 Chocohead Resolution open => fixed
2017-05-02 14:29 Chocohead Assigned To => Player